%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name File_Find

Summary:        Class which facilitates the search of filesystems
Summary(fr):    Classe facilitant la recherche dans le système de fichiers
Name:           php-pear-File-Find
Version:        1.3.0
Release:        3%{?dist}
License:        PHP
Group:          Development/Libraries
Source:         http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:            http://pear.php.net/package/File_Find

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}


%description
File_Find, created as a replacement for its Perl counterpart, also named
File_Find, is a directory searcher, which handles, globbing, recursive
directory searching, as well as a slew of other cool features.


%description -l fr
File_Find, créé comme un équivalent à son homologue perl, aussi nommé
Find_File, est un outil de recherche de répertoire qui gère les motifs,
les recherches récursives aussi bien que beaucoup d'autres fonctionnalités
sympathiques.


%prep
%setup -c -q
# still a 1.0 package.xml
%{__pear} convert package.xml package2.xml

%{_bindir}/php -n %{SOURCE2} package2.xml >CHANGELOG
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml


%build
# Empty build section


%install
rm -rf %{buildroot} docdir

pushd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{pear_name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 %{pear_name}.xml %{buildroot}%{pear_xmldir}

popd
# Sort out documentation
#mv %{buildroot}%{pear_docdir}/%{pear_name}/docs docdir
#mv %{buildroot}%{pear_docdir}/%{pear_name}/examples docdir/examples


%clean
rm -rf %{buildroot}


%check
lst=$(find %{buildroot}%{pear_phpdir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

# For documentation purpose only
# After install, as root :
# pear run-tests -p File_Find
# Actually all tests "could" failed because of return order... :(


%post
%{__pear} install --nodeps --soft --force --register-only %{pear_xmldir}/%{pear_name}.xml >/dev/null || :


%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%dir %{pear_phpdir}/File
%{pear_phpdir}/File/Find.php
%{pear_testdir}/%{pear_name}
%{pear_xmldir}/%{pear_name}.xml


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Apr 04 2008 Remi Collet <Fedora@FamilleCollet.com> 1.3.0-1
- initial RPM

